com.ihr.xbrl.om.formula

## Class FormulaProcessorStatus

- java.lang.Object
- - com.ihr.xbrl.om.formula.FormulaProcessorStatus

-     public class FormulaProcessorStatus
      extends java.lang.Object

  The Class FormulaProcessorStatus.
  Author:
    Ignacio

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `executors` The executors.
    `long` | `maxElapsedTime` The max elapsed time.
    `int` | `nAssertions` The n assertions.
    `int` | `nConsistencyAssertions` The n consistency assertions.
    `int` | `nExecutedAssertions` The n executed assertions.
    `int` | `nExecutedConsystencyAssertions` The n executed consystency assertions.
    `int` | `nExecutedFormulas` The n executed formulas.
    `int` | `nFormulas` The n formulas.
    `int` | `runningExecutors` The running executors.
    `java.lang.String[]` | `vExecutedAssertionNames` The v executed assertion names.
    `long[]` | `vExecutedAssertionTimes` The v executed assertion times.
    `java.lang.String[]` | `vExecutors` The v executors.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormulaProcessorStatus()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nFormulas

          public int nFormulas

      The n formulas.

    - #### nAssertions

          public int nAssertions

      The n assertions.

    - #### nConsistencyAssertions

          public int nConsistencyAssertions

      The n consistency assertions.

    - #### executors

          public int executors

      The executors.

    - #### runningExecutors

          public int runningExecutors

      The running executors.

    - #### maxElapsedTime

          public long maxElapsedTime

      The max elapsed time.

    - #### vExecutors

          public java.lang.String[] vExecutors

      The v executors.

    - #### nExecutedFormulas

          public int nExecutedFormulas

      The n executed formulas.

    - #### nExecutedAssertions

          public int nExecutedAssertions

      The n executed assertions.

    - #### nExecutedConsystencyAssertions

          public int nExecutedConsystencyAssertions

      The n executed consystency assertions.

    - #### vExecutedAssertionNames

          public java.lang.String[] vExecutedAssertionNames

      The v executed assertion names.

    - #### vExecutedAssertionTimes

          public long[] vExecutedAssertionTimes

      The v executed assertion times.

  - ### Constructor Detail

    - #### FormulaProcessorStatus

          public FormulaProcessorStatus()